Subject: bug#32033: closed (Re: [bug#32033] [PATCH] gnu: ikiwiki: Include auto setup files in output)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Jul 2018 13:45:02 +0000

Your bug report

#32033: [PATCH] gnu: ikiwiki: Include auto setup files in output

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32033: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32033
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32033] [PATCH] gnu: ikiwiki: Include auto setup files in output
From: Marius Bakke <[email-masked]>
To: Paul Garlick <[email-masked]>, [email-masked]
Cc: Paul Garlick <[email-masked]>
Date: Tue, 03 Jul 2018 15:44:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Paul Garlick <[email-masked]> writes:

> * gnu/packages/web.scm(ikiwiki)[arguments]: Add patch-Makefile phase

[...]

> +         (add-after 'patch-source-shebangs 'patch-Makefile
> +           (lambda _
> +             (substitute* "Makefile.PL"
> +               (("SYSCONFDIR\\?=") "SYSCONFDIR?=$(PREFIX)"))
> +             #t))

I'm not too familiar with Perl packaging, but could this be solved
by passing the equivalent of "--sysconfdir" somewhere, like we do in
gnu-build-system?

I could not find any examples in (gnu packages perl) however, so I've
applied this as-is.  Thank you!

Subject: [PATCH] gnu: ikiwiki: Include auto setup files in output
From: Paul Garlick <[email-masked]>
To: [email-masked]
Cc: Paul Garlick <[email-masked]>
Date: Mon, 2 Jul 2018 12:38:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/web.scm(ikiwiki)[arguments]: Add patch-Makefile phase
---
 gnu/packages/web.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index dd1e63e..c923951 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -4376,6 +4376,11 @@ NetSurf project.")
                  "        addenv(\"PERL5LIB\", \""
                  (getenv "PERL5LIB")
                  "\");")))))
+         (add-after 'patch-source-shebangs 'patch-Makefile
+           (lambda _
+             (substitute* "Makefile.PL"
+               (("SYSCONFDIR\\?=") "SYSCONFDIR?=$(PREFIX)"))
+             #t))
          (add-after 'install 'wrap-programs
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((out  (assoc-ref outputs "out"))
-- 
1.8.3.1